<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    tools:background="#000"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_width="match_parent"
        app:layout_constraintDimensionRatio="h,360,541"
        android:layout_height="0dp">

        <ImageView
            android:id="@+id/iv"
            app:layout_constraintBottom_toBottomOf="parent"
            android:background="@mipmap/bg_red_bag_list"
            android:layout_width="match_parent"
            android:layout_height="500dp"/>

        <TextView
            android:id="@+id/tvTitle"
            android:textSize="17dp"
            android:textColor="#fff"
            android:layout_marginTop="14dp"
            android:text="@string/red_bag_detail"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>
        
        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/ivAvatar"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            android:layout_marginTop="60dp"
            android:layout_width="64dp"
            android:layout_height="64dp"/>

        <TextView
            android:id="@+id/tvName"
            android:textSize="14dp"
            android:textColor="#131B23"
            android:layout_marginTop="8dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/ivAvatar"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <com.swago.baseswago.cusview.SwagoLevelView
            android:id="@+id/tvLevel"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tvName"
            android:layout_marginTop="8dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <ImageView
            android:id="@+id/ivClose"
            android:src="@mipmap/close"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            android:layout_marginEnd="16dp"
            android:layout_marginTop="12dp"
            android:layout_width="24dp"
            android:layout_height="24dp"/>

        <com.swago.baseswago.cusview.SwagoRecyclerView
            android:id="@+id/swagoRv"
            android:layout_marginTop="18dp"
            app:layout_constraintTop_toBottomOf="@+id/tvLevel"
            app:layout_constraintBottom_toBottomOf="@+id/iv"
            android:layout_width="match_parent"
            android:layout_height="0dp"/>


    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.constraintlayout.widget.ConstraintLayout>